Bug 122057 - upgrade sysutils/cfengine to 2.2.5
upgrade sysutils/cfengine to 2.2.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 21:10 UTC by jrhett
Modified: 2008-07-02 04:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.30 KB, patch)
2008-03-24 21:10 UTC, jrhett
no flags Details | Diff
cfengine-2.2.5.txt (6.37 KB, text/plain; x-unix-mode=0644)
2008-03-24 23:03 UTC, jrhett
no flags Details
file.dat (108 bytes, text/plain; charset=US-ASCII; delsp=yes; format=flowed)
2008-03-24 23:03 UTC, jrhett
no flags Details
cfengine-2.2.6.patch (768 bytes, patch)
2008-05-05 21:44 UTC, jrhett
no flags Details | Diff
file.dat (85 bytes, text/plain; charset=US-ASCII; format=flowed)
2008-05-05 21:44 UTC, jrhett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrhett 2008-03-24 21:10:01 UTC
The attached patch upgrades cfengine to 2.2.5

Also delete files:

patch-configure
patch-doc_Makefile.in

Neither one are relevant any more.FreeBSD wort 6.2-RELEASE-p11 FreeBSD

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-24 22:11:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jrhett 2008-03-24 22:16:44 UTC
Oops, problems in that patch:

Makefile:
-PORTREVISION=  1

pkg-plist:
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL
+%%PORTDOCS%%%%DOCSDIR%%/NEWS


--  
Jo Rhett
Net Consonance : consonant endings by net philanthropy, open source  
and other randomness
Comment 3 jrhett 2008-03-24 23:03:57 UTC
Revised patch is attached.  Fixed PORTREVISION and the plist.
Comment 4 jrhett 2008-05-05 21:44:07 UTC
Here's an additional patch to get 2.2.6 instead.  This builds on the  
previous patches.
Comment 5 Wesley Shields freebsd_committer 2008-07-01 20:25:46 UTC
Responsible Changed
From-To: sergei->wxs

Sergei appears to be non-responsive.  Grabbing this PR to track it. 
Sergei, if you're still working on this please let me know.
Comment 6 dfilter freebsd_committer 2008-07-02 04:09:00 UTC
wxs         2008-07-02 03:08:54 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/cfengine    Makefile distinfo pkg-plist 
    sysutils/cfengine/files patch-Makefile.in 
                            patch-contrib_Makefile.in 
                            patch-doc_Makefile.in 
                            patch-inputs_Makefile.in 
  Removed files:
    sysutils/cfengine/files patch-configure 
  Log:
  Update to 2.2.7
  Properly respect NOPORTDOCS and NOPORTEXAMPLES
  
  PR:             ports/124993, ports/122057
  Submitted by:   Jo Rhett <jrhett@netconsonance.com>
  Approved by:    sergei (maintainer timeout)
  
  Revision  Changes    Path
  1.42      +13 -9     ports/sysutils/cfengine/Makefile
  1.15      +3 -3      ports/sysutils/cfengine/distinfo
  1.3       +112 -7    ports/sysutils/cfengine/files/patch-Makefile.in
  1.3       +0 -11     ports/sysutils/cfengine/files/patch-configure (dead)
  1.2       +18 -12    ports/sysutils/cfengine/files/patch-contrib_Makefile.in
  1.4       +12 -108   ports/sysutils/cfengine/files/patch-doc_Makefile.in
  1.2       +18 -12    ports/sysutils/cfengine/files/patch-inputs_Makefile.in
  1.11      +25 -31    ports/sysutils/cfengine/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2008-07-02 04:10:53 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!